[arch-commits] Commit in lib32-gettext/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Fri Nov 9 23:33:23 UTC 2018


    Date: Friday, November 9, 2018 @ 23:33:23
  Author: foutrelis
Revision: 405314

archrelease: copy trunk to multilib-staging-x86_64

Added:
  lib32-gettext/repos/multilib-staging-x86_64/
  lib32-gettext/repos/multilib-staging-x86_64/PKGBUILD
    (from rev 405313, lib32-gettext/trunk/PKGBUILD)

----------+
 PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

Copied: lib32-gettext/repos/multilib-staging-x86_64/PKGBUILD (from rev 405313, lib32-gettext/trunk/PKGBUILD)
===================================================================
--- multilib-staging-x86_64/PKGBUILD	                        (rev 0)
+++ multilib-staging-x86_64/PKGBUILD	2018-11-09 23:33:23 UTC (rev 405314)
@@ -0,0 +1,38 @@
+# Maintainer: Florian Pritz <bluewind at xinu.at>
+# Contributor: Joakim Hernberg <jhernberg at alchemy dot lu>
+_pkgbasename=gettext
+pkgname=lib32-$_pkgbasename
+pkgver=0.19.8.1
+pkgrel=2
+pkgdesc="GNU internationalization library (32-bit)"
+arch=('x86_64')
+url="http://www.gnu.org/software/gettext/"
+license=('GPL')
+depends=('lib32-acl' lib32-gcc-libs $_pkgbasename)
+makedepends=(gcc-multilib)
+options=(!docs)
+source=(ftp://ftp.gnu.org/pub/gnu/gettext/${_pkgbasename}-${pkgver}.tar.gz{,.sig})
+md5sums=('97e034cf8ce5ba73a28ff6c3c0638092'
+         'SKIP')
+validpgpkeys=(462225C3B46F34879FC8496CD605848ED7E69871)
+
+build() {
+  export CC="gcc -m32"
+  export CXX="g++ -m32"
+  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
+
+  cd "${srcdir}/${_pkgbasename}-${pkgver}"
+  ./configure --prefix=/usr --libdir=/usr/lib32
+  make
+}
+
+check() {
+ cd "${srcdir}/${_pkgbasename}-${pkgver}"
+ make check || warning "Tests failed"
+}
+
+package() {
+  cd "${srcdir}/${_pkgbasename}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  rm -rf "${pkgdir}"/usr/{bin,include,share}
+}


More information about the arch-commits mailing list